{% load i18n crispy_forms_tags %}

<form id="form-cashbook-entry-add"
      method="post"
      hx-post="{% url 'cashbook:entry:add' %}"
      hx-target="#form-cashbook-entry-add"
      hx-swap="outerHTML"
>
    {% csrf_token %}
    {% crispy form %}

{#    <div class="input-group">#}
{#        <span class="input-group-text">{% translate 'New entry' %}:</span>#}
{#        <input type="text" name="amount" step="0.10"#}
{#               class="numberinput form-control{% if form.amount.errors %} is-invalid{% endif %}" required autofocus#}
{#               id="id_amount" placeholder="{{ form.amount.label }}"#}
{##}
{#        >#}
{##}
{#        <input type="text" name="comment" maxlength="255" class="textinput form-control" id="id_comment"#}
{#               placeholder="{{ form.label.comment }}">#}
{#        <div class="invalid-feedback">{{ form.comment.errors }}</div>#}
{##}
{#        <select name="vat_rate" class="select form-select"#}
{#                required id="id_vat_rate">#}
{#            {% for vat_rate in available_vats %}#}
{#                <option value="{{ vat_rate.id }}" {% if form.initial.vat_rate.id == vat_rate.id %}selected{% endif %}>#}
{#                    {{ vat_rate.vat }}%#}
{#                </option>#}
{#            {% endfor %}#}
{#        </select>#}
{#        <div class="invalid-feedback">{{ form.vat_rate.errors }}</div>#}
{##}
{#        <input type="submit" name="submit" value="{% translate 'Save' %}" class="btn btn-primary" id="submit-id-submit">#}
{#    </div>#}
    {{ form.non_field_errors }}
</form>

